public inbox for isar-users@googlegroups.com
 help / color / mirror / Atom feed
* [PATCH v2 1/2] CI: install avocado in venv if host does not have it
@ 2021-10-20 10:03 Anton Mikanovich
  2021-10-20 10:03 ` [PATCH v2 2/2] CI: export avocado junit as gitlab report Anton Mikanovich
                   ` (2 more replies)
  0 siblings, 3 replies; 9+ messages in thread
From: Anton Mikanovich @ 2021-10-20 10:03 UTC (permalink / raw)
  To: isar-users; +Cc: Henning Schild, Anton Mikanovich

From: Henning Schild <henning.schild@siemens.com>

Avocado packages are currently not available in Debian. Use virtualenv
and pip for sites that do not provide avocado as part of execution
environment. We expect the execution environment to be Debian-based and
to allow us to sudo (true for kas-isar container).

Use version 88.0 as the latest working one from pip.

Signed-off-by: Henning Schild <henning.schild@siemens.com>
Signed-off-by: Anton Mikanovich <amikan@ilbers.de>
---
 scripts/ci_build.sh | 11 +++++++++++
 1 file changed, 11 insertions(+)

diff --git a/scripts/ci_build.sh b/scripts/ci_build.sh
index 4534957..32054c4 100755
--- a/scripts/ci_build.sh
+++ b/scripts/ci_build.sh
@@ -14,6 +14,17 @@ export PATH=$PATH:/sbin
 # Go to Isar root
 cd "$(dirname "$0")/.."
 
+# install avocado in virtualenv in case it is not there already
+if ! command -v avocado > /dev/null; then
+    sudo apt-get update -qq
+    sudo apt-get install -y virtualenv
+    rm -rf /tmp/avocado_venv
+    virtualenv --python python3 /tmp/avocado_venv
+    source /tmp/avocado_venv/bin/activate
+    # The latest working version of Avocado framework
+    pip install avocado-framework==88.0
+fi
+
 # Get Avocado build tests path
 BUILD_TEST_DIR="$(pwd)/testsuite/build_test"
 
-- 
2.7.4


^ permalink raw reply	[flat|nested] 9+ messages in thread

end of thread, other threads:[~2021-10-21 15:20 UTC | newest]

Thread overview: 9+ messages (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2021-10-20 10:03 [PATCH v2 1/2] CI: install avocado in venv if host does not have it Anton Mikanovich
2021-10-20 10:03 ` [PATCH v2 2/2] CI: export avocado junit as gitlab report Anton Mikanovich
2021-10-20 16:11   ` Anton Mikanovich
2021-10-20 10:10 ` [PATCH v2 1/2] CI: install avocado in venv if host does not have it Anton Mikanovich
2021-10-20 16:10 ` Anton Mikanovich
2021-10-20 16:32   ` Henning Schild
2021-10-20 16:38     ` Henning Schild
2021-10-21 10:39       ` Baurzhan Ismagulov
2021-10-21 15:20         ` Henning Schild

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox